package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtStat;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtStatMapper {
    int deleteByPrimaryKey(String id);

    int insert(PtStat record);

    int insertSelective(PtStat record);

    PtStat selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PtStat record);

    int updateByPrimaryKey(PtStat record);


    List<PtStat> selectByOsToday();

    List<PtStat> selectOSThree();

    List<PtStat> selectOSWeek();

    List<PtStat> selectByOs();

    List<PtStat> selectAllOs();

    List<PtStat> selectOsDay();


    List<PtStat> selectByScreenToday();

    List<PtStat> selectScreenThree();

    List<PtStat> selectScreenWeek();

    List<PtStat> selectByScreen();

    List<PtStat> selectDayByScreen(String screen);


    List<PtStat> selectAppToday();

    List<PtStat> selectAppThree();

    List<PtStat> selectAppWeek();

    List<PtStat> selectAppAll();

    List<PtStat> selectByDay(String appid);


    List<PtStat> selectBrowserToday();

    List<PtStat> selectBroThree();

    List<PtStat> selectBroWeek();

    List<PtStat> selectBrowserAll();

    List<PtStat> selectDayByBrowser(String browser);


}
